GNUNET-TESTBED(1)

NAME
gnunet-testbed - interactive environment for GNUnet simulations

SYNOPSIS
gnunet-testbed [OPTIONS]

DESCRIPTION

gnunet-testbed can be used to control GNUnet peers to perform testing and benchmarking of the system. Note that gnunet-testbed is at this point still a very new tool and not functional. gnunet-testbed is fully scriptable and uses bash as a scripting language. All features of bash are supported, including the execution of arbitrary shell commands. gnunet-testbed extends bash with additional, testbed specific commands.

-h, --help
    print help page

-c FILENAME, --config=FILENAME
    load config file (defaults: ~/.gnunet/gnunet.conf)

-v, --version
    print the version number

-L LOGLEVEL, --loglevel=LOGLEVEL
    change the loglevel. Possible values for LOGLEVEL are NOTHING, FATAL, ERROR, FAILURE, WARNING, MESSAGE, INFO, DEBUG, CRON and EVERYTHING.

NOTES
gnunet-testbed is not yet fully implemented. Peers that participate in a testbed must load the testbed module.

FILES

~/.gnunet/gnunet.conf
    GNUnet configuration file

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet.conf(5), gnunetd(1)